Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class TaskMgmtSession

    java.lang.Object
      org.jbpm.db.TaskMgmtSession

All Implemented Interfaces:
  java.io.Serializable

    public class TaskMgmtSession

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TaskMgmtSession(JbpmSession jbpmSession)`
`TaskMgmtSession(org.hibernate.Session session)`

Method Summary
`java.util.List` | `findPooledTaskInstances(java.util.List actorIds)` get the taskinstances for which the given actor is in the pool.
`java.util.List` | `findPooledTaskInstances(java.lang.String actorId)` get the taskinstances for which the given actor is in the pool.
`java.util.List` | `findTaskInstances(java.util.List actorIds)` get all the task instances for all the given actorIds.
`java.util.List` | `findTaskInstances(java.lang.String actorId)` get the tasllist for a given actor.
`java.util.List` | `findTaskInstances(java.lang.String[] actorIds)` get all the task instances for all the given actorIds.
`java.util.List` | `findTaskInstancesByIds(java.util.List taskInstanceIds)`
`java.util.List` | `findTaskInstancesByProcessInstance(ProcessInstance processInstance)` get active taskinstances for a given token.
`java.util.List` | `findTaskInstancesByToken(long tokenId)` get active taskinstances for a given token.
`TaskInstance` | `getTaskInstance(long taskInstanceId)` get the task instance for a given task instance-id.
`TaskInstance` | `loadTaskInstance(long taskInstanceId)` get the task instance for a given task instance-id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskMgmtSession

    public TaskMgmtSession(JbpmSession jbpmSession)

### TaskMgmtSession

    public TaskMgmtSession(org.hibernate.Session session)

Method Detail

### findTaskInstances

    public java.util.List findTaskInstances(java.lang.String actorId)

  get the tasllist for a given actor.

### findTaskInstances

    public java.util.List findTaskInstances(java.util.List actorIds)

  get all the task instances for all the given actorIds.

  Returns:
    a list of task instances. An empty list is returned in case no task instances are found.

### findTaskInstances

    public java.util.List findTaskInstances(java.lang.String[] actorIds)

  get all the task instances for all the given actorIds.

### findPooledTaskInstances

    public java.util.List findPooledTaskInstances(java.lang.String actorId)

  get the taskinstances for which the given actor is in the pool.

### findPooledTaskInstances

    public java.util.List findPooledTaskInstances(java.util.List actorIds)

  get the taskinstances for which the given actor is in the pool.

### findTaskInstancesByToken

    public java.util.List findTaskInstancesByToken(long tokenId)

  get active taskinstances for a given token.

### findTaskInstancesByProcessInstance

    public java.util.List findTaskInstancesByProcessInstance(ProcessInstance processInstance)

  get active taskinstances for a given token.

### loadTaskInstance

    public TaskInstance loadTaskInstance(long taskInstanceId)

  get the task instance for a given task instance-id.

### getTaskInstance

    public TaskInstance getTaskInstance(long taskInstanceId)

  get the task instance for a given task instance-id.

### findTaskInstancesByIds

    public java.util.List findTaskInstancesByIds(java.util.List taskInstanceIds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD